Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface LoggerFactory

public interface LoggerFactory

Implement this interface to create new instances of Logger or a sub-class of Logger.

See `examples/subclass/MyLogger.java` for an example.

Since:
  version 0.8.5
Author:
  Ceki Gülcü

Method Summary
`Logger` | `makeNewLoggerInstance(String name)`

Method Detail

### makeNewLoggerInstance

    public Logger makeNewLoggerInstance(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.